# $Id: xmms-crossfade.spec,v 1.3 2003/03/13 09:55:02 dude Exp $

%define _xmmsoutputdir %(xmms-config --output-plugin-dir)

Summary: A neat crossfade output plugin for XMMS.
Name: xmms-crossfade
Version: 0.3.1
Release: fr1
License: GPL
Group: Applications/Multimedia
URL: http://www.netcologne.de/~nc-eisenlpe2/xmms-crossfade/
Source: http://www.netcologne.de/~nc-eisenlpe2/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: xmms >= 1.0.0, glib >= 1.2.7, gtk+ >= 1.2.7
BuildPrereq: xmms-devel

%description
A neat crossfade plugin for XMMS featuring crossfading and continuous output
between songs and a gap-killer.

%prep
%setup -q

%build
%configure --libdir=%{_xmmsoutputdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall libdir=%{buildroot}/%{_xmmsoutputdir}
strip %{buildroot}/%{_xmmsoutputdir}/*.so

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_xmmsoutputdir}/libcrossfade.*

%changelog
* Thu Mar 13 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.1.

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed the hard-coded Output dir to a value expanded from xmms-config.
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Mon Jun 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.9.

* Sat May 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.8.

* Mon Apr 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.7.

* Fri Apr 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Sun Mar 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.6.

* Thu Mar 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.5.

* Mon Mar 12 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.4.

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RedHat 7.0 RPM release

